Bug 1123402 - Review Request: awscli - AWS Command Line Interface
Summary: Review Request: awscli - AWS Command Line Interface
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1123397 1123398 1123399
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 14:15 UTC by Lubomir Rintel
Modified: 2016-11-10 17:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-10 17:42:16 UTC


Attachments (Terms of Use)

Description Lubomir Rintel 2014-07-25 14:15:16 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/awscli.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/awscli-1.3.24-1.el7.centos.src.rpm

Description:

The AWS Command Line Interface (CLI) is a unified tool to manage your AWS
services. With just one tool to download and configure, you can control
multiple AWS services from the command line and automate them through
scripts.

Comment 1 Lubomir Rintel 2014-07-25 19:43:05 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/awscli.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/awscli-1.3.24-2.fc21.src.rpm

Added Python 3 support.

Comment 2 Haïkel Guémar 2014-09-01 07:41:56 UTC
spec attached is different from the one provided in the srpm.
I suggest moving the python3 BR below the python3 subpackage (not a blocker).

Comment 3 Lubomir Rintel 2014-09-01 09:30:16 UTC
(In reply to Haïkel Guémar from comment #2)
> spec attached is different from the one provided in the srpm.

Good catch; fixed.

> I suggest moving the python3 BR below the python3 subpackage (not a blocker).

I'd prefer not to (I find it cleaner for no good reason).

Comment 4 Lubomir Rintel 2014-09-25 06:40:11 UTC
Ping?

Comment 5 Haïkel Guémar 2014-09-25 09:16:21 UTC
pong (sorry, you'll hear from me today)

Comment 6 Haïkel Guémar 2014-09-25 13:04:30 UTC
There's probably a typo in the beginning, the build conditional is always the same.
The %package & %description sections of the python3 subpackage are not guarded by the python3 condition.

Comment 7 Lubomir Rintel 2014-10-08 16:15:14 UTC
(In reply to Haïkel Guémar from comment #6)
> There's probably a typo in the beginning, the build conditional is always
> the same.

Nope. There's a comment with an explanation above/

> The %package & %description sections of the python3 subpackage are not
> guarded by the python3 condition.

That one is correct too. Whether the package is created or not is determined by presence of %files section.

Comment 8 Lubomir Rintel 2014-10-27 16:53:13 UTC
Ping?

Comment 9 Lubomir Rintel 2014-12-01 15:22:54 UTC
Ping?

Comment 10 Xavier Bachelot 2014-12-17 14:21:56 UTC
Lubomir, while the review is stalled waiting for the reviewer, could you please update to latest version ? You're packaging 1.3.24 and the latest is 1.6.9.

Comment 11 Haïkel Guémar 2014-12-18 10:09:11 UTC
Please do so, the reviewer (me) was travelling quite a lot these last two months. At least, this week is the last one I'm travelling for 2014.

Comment 13 Lubomir Rintel 2015-01-04 11:16:41 UTC
?

Comment 14 Haïkel Guémar 2015-01-05 13:55:49 UTC
The site where spec and src.rpm were hosed was not accessible during end of december.
I think that the R: python-botocore < 0.59.0 is incorrect, it prevents the installation of awscli on rawhide and the current version of awscli does not work with botocore < 0.64.0 (it imports at least the parsers module which doesn't exist before).

%{python2_sitelib}/%{name}/paramfile.py still have a shebang while it's not an executable script (could be fixed upstream btw).

Comment 15 Dusty Mabe 2016-11-10 17:42:16 UTC
Seems like this is in Fedora now:

https://admin.fedoraproject.org/pkgdb/package/rpms/awscli/

closing


Note You need to log in before you can comment on or make changes to this bug.